xfstests: remove _need_to_be_root
[xfstests-dev.git] / tests / xfs / 003
1 #! /bin/bash
2 # FS QA Test No. 003
3 #
4 # exercise xfs_db bug #784078
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 echo "QA output created by $seq"
28
29 # get standard environment, filters and checks
30 . ./common/rc
31 . ./common/filter
32
33 tmp=/tmp/$$
34 here=`pwd`
35 status=0        # success is the default!
36 trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
37
38 # real QA test starts here
39 _supported_fs xfs
40 _supported_os IRIX Linux
41 _require_test
42
43 [ -f core ] && rm -f core
44 [ -f core ] && echo "Warning: can't nuke existing core file!"
45
46 test_done()
47 {
48         sts=$?
49         [ -f core ] && echo "FAILED - core file"
50         [ ! -f core -a $sts != 0 ] && echo "FAILED - non-zero exit status"
51         rm -f core
52 }
53
54 # real QA test starts here
55
56 echo "=== TEST 1 ==="
57 xfs_db -r -c 'pop' -c 'type sb' $TEST_DEV
58 test_done
59
60 echo "=== TEST 2 ==="
61 xfs_db -r -c 'push sb' $TEST_DEV
62 test_done
63
64 echo "=== TEST 3 ==="
65 xfs_db -r -c 'pop' -c 'push sb' $TEST_DEV
66 test_done
67
68 echo "=== TEST 4 ==="
69 xfs_db -r -c 'type sb' -c 'print' $TEST_DEV
70 test_done
71
72 echo "=== TEST 5 ==="
73 xfs_db -r -c 'inode 128' -c 'push' -c 'type' $TEST_DEV >$tmp.out 2>&1
74 test_done
75 # On IRIX we lose state after a "push" operation and don't
76 # know the type is still inode
77 # Probably not worth changing xfs_db on IRIX for this.
78 if [ "$HOSTOS" != "IRIX" ]; then
79     if ! grep -q "current type is \"inode\"" $tmp.out
80     then
81             cat $tmp.out
82     fi
83 fi
84
85 echo "=== TEST 6 ==="
86 xfs_db -r -c 'sb' -c 'a' $TEST_DEV >$tmp.out 2>&1 # don't care about output
87 test_done
88
89 echo "=== TEST 7 ==="
90 xfs_db -r -c 'ring' $TEST_DEV
91 test_done